import { Hunk } from '../../../types';
interface PartitionedHunks {
    validHunks: Map<string, Hunk[]>;
    invalidHunks: Map<string, Hunk[]>;
}
/**
 * Split suggested hunks into commentable and non-commentable hunks. Compares the new line ranges
 * from pullRequestHunks against the old line ranges from allSuggestedHunks.
 * @param pullRequestHunks {Map<string, Hunk[]>} The parsed hunks from that represents the valid lines to comment.
 * @param allSuggestedHunks {Map<string, Hunk[]>} The hunks that represent suggested changes.
 * @returns {PartitionedHunks} split hunks
 */
export declare function partitionSuggestedHunksByScope(pullRequestHunks: Map<string, Hunk[]>, allSuggestedHunks: Map<string, Hunk[]>): PartitionedHunks;
export {};
