import { FileDiffContent, RepoDomain } from '../../types';
import { Octokit } from '@octokit/rest';
/**
 * Comment on a Pull Request
 * @param {Octokit} octokit authenticated octokit isntance
 * @param {RepoDomain} remote the Pull Request repository
 * @param {number} pullNumber the Pull Request number
 * @param {number} pageSize the number of files to comment on // TODO pagination
 * @param {Map<string, FileDiffContent>} diffContents the old and new contents of the files to suggest
 * @returns the created review's id, or null if no review was made
 */
export declare function reviewPullRequest(octokit: Octokit, remote: RepoDomain, pullNumber: number, pageSize: number, diffContents: Map<string, FileDiffContent> | string): Promise<number | null>;
