import { Hunk, FileDiffContent } from '../../../types';
/**
 * Given a map where the key is the file name and the value is the
 * old content and new content of the file
 * compute the hunk for each file whose old and new contents differ.
 * Do not compute the hunk if the old content is the same as the new content.
 * The hunk list is sorted and each interval is disjoint.
 * @param {Map<string, FileDiffContent>} diffContents a map of the original file contents and the new file contents
 * @returns the hunks for each file whose old and new contents differ
 */
export declare function getRawSuggestionHunks(diffContents: Map<string, FileDiffContent>): Map<string, Hunk[]>;
